petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatPartitioningSetNParts

Set how many partitions need to be created; by default this is one per processor. Certain partitioning schemes may in fact only support that option.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetNParts(MatPartitioning part,PetscInt n)

Not collective

### Input Parameter

| partitioning | - the partitioning context
| n | - the number of partitions

Not Collective

### See Also

MatPartitioningCreate(), MatPartitioningApply()

### Level

intermediate

### Location

src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages